
%{!?dist_name:%define dist_name %expand%(rpm -q --whatprovides redhat-release --qf "%%{name}" | cut -d- -f1 ) }
%{!?dist_ver:%define  dist_ver  %expand%(rpm -q --qf "%%{version}"  -f /etc/redhat-release | cut -d. -f1) }

# RHEL clones
%if "%{dist_name}" == "centos"
%define dist_name redhat
%endif
%if "%{dist_name}" == "whitebox"
%define dist_name redhat
%endif

%define repo kde-redhat

Name:	 %{repo}-release
Version: 3.4.1 
Release: 1%{?dist_tag}
Summary: %{repo} Repository Configuration
Group:   System Environment/Base
License: BSD
URL:     http://kde-redhat.sourceforge.net/
Source0: RPM-GPG-KEY-%{repo}
Source1: %{repo}.repo
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

Requires: %{dist_name}-release >= %{dist_ver} 

%description
The KDE for Red Hat project promotes the use of KDE and KDE-based 
applications on Fedora Core, Red Hat, and Red Hat Enterprise Linux
through the creation and distribution of core and 3rd-party KDE RPM packages.

%prep

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/pki/rpm-gpg/ \
	 $RPM_BUILD_ROOT/etc/yum.repos.d/
install -m 644 %{SOURCE0} $RPM_BUILD_ROOT/etc/pki/rpm-gpg/
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/yum.repos.d/

echo "%{dist_name}-%{dist_ver}"

sed -i -e "s|@@DIST_NAME@@|%{dist_name}|g" $RPM_BUILD_ROOT/etc/yum.repos.d/*


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
/etc/pki/rpm-gpg/*
/etc/yum.repos.d/*


%changelog
* Thu  Jun 23 2005 Renaud Mosselle <renaud@crazyfrogs.org> 4
- initial pkg
